hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

HaskellWorks.Data.Positioning

Synopsis

- type Count = Word64
- type Position = Int64
- lastPositionOf :: Count -> Position
- toCount :: ToCount a => a -> Count
- toPosition :: ToPosition a => a -> Position

# Documentation

type Count = Word64 #

A value representing a count

type Position = Int64 #

A value representing a position

lastPositionOf :: Count -> Position #

Get largest position in a sequenced container of size count.

toCount :: ToCount a => a -> Count #

Convert a count to a count

toPosition :: ToPosition a => a -> Position #

Convert to a position